| Home | Libraries | People | FAQ | More

##### basic_static_string::starts_with (2 of 3 overloads)

Return whether the string begins with a character.

###### Synopsis

    constexpr bool
    starts_with(
        value_type c) const;

###### Description

Returns `true` if the string begins with `c`, and `false` otherwise.

###### Complexity

Constant.

###### Parameters

Name | Description
--- | ---
`c` | The character to check for.